<!-- 色んな方向に鎖 -->

<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">
	<!-- 下向き -->
	<fireRef label="chain">
		<param>135 + $rand * 90</param>
	</fireRef>
	<fireRef label="chain">
		<param>135 + $rand * 90</param>
	</fireRef>
	
	<!-- 上向き -->
	<fireRef label="chain">
		<param>-45 + $rand * 90</param>
	</fireRef>
	<fireRef label="chain">
		<param>-45 + $rand * 90</param>
	</fireRef>
	
	<!-- 右上 -->
	<fireRef label="chain">
		<param>60 + $rand * 30</param>
	</fireRef>
	
	<!-- 左上 -->
	<fireRef label="chain">
		<param>-60 - $rand * 30</param>
	</fireRef>

	<!-- 十字 -->
	<fireRef label="chain">
		<param>0</param>
	</fireRef>
	<fireRef label="chain">
		<param>100</param>
	</fireRef>
	<fireRef label="chain">
		<param>180</param>
	</fireRef>
	<fireRef label="chain">
		<param>260</param>
	</fireRef>
	
	

	<wait>200 - $rank * 150</wait>
	<vanish/>
</action>

<!-- 鎖 -->
<fire label="chain">
	<speed>8</speed>
	<direction type="absolute">$1</direction>
	<bulletRef label="fall">
		<param>$1</param>
	</bulletRef>
</fire>

<!-- 鎖を産む -->
<bullet label="fall">
	<action>
		<wait>1</wait>
		<repeat>
			<times>9999</times>
			<action>
				<fire>
					<direction type="absolute">$1</direction>
					<speed>0</speed>
					<bulletRef label="erase"/>
				</fire>
			</action>
			<wait>2</wait>
		</repeat>
	</action>
</bullet>


<!-- しばらくして消える -->
<bullet label="erase">
	<action>
		<wait>200 - $rank * 150</wait>
		<vanish/>
	</action>
</bullet>



</bulletml>
